﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace Spread_Win_SparkLine
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void btnGreateSpark_Click(object sender, EventArgs e)
        {
            FarPoint.Win.Spread.SheetView sv = new FarPoint.Win.Spread.SheetView();
            FarPoint.Win.Spread.Chart.SheetCellRange data = new FarPoint.Win.Spread.Chart.SheetCellRange(sv, 0, 0, 1, 5);
            FarPoint.Win.Spread.Chart.SheetCellRange data2 = new FarPoint.Win.Spread.Chart.SheetCellRange(sv, 5, 0, 1, 1);
            FarPoint.Win.Spread.ExcelSparklineSetting ex = new FarPoint.Win.Spread.ExcelSparklineSetting();
            ex.ShowMarkers = true;
            ex.ShowNegative = true;
            ex.NegativeColor = Color.Red;
            ex.SeriesColor = Color.Olive;
            fpSpread1.Sheets[0] = sv;
            sv.Cells[0, 0].Value = 2;
            sv.Cells[0, 1].Value = 5;
            sv.Cells[0, 2].Value = 4;
            sv.Cells[0, 3].Value = -1;
            sv.Cells[0, 4].Value = 3;
            fpSpread1.Sheets[0].AddSparkline(data, data2, FarPoint.Win.Spread.SparklineType.Column, ex);   
        }

        private void btnCustomDataPoint_Click(object sender, EventArgs e)
        {
            FarPoint.Win.Spread.SheetView sv = new FarPoint.Win.Spread.SheetView();
            FarPoint.Win.Spread.Chart.SheetCellRange data = new FarPoint.Win.Spread.Chart.SheetCellRange(sv, 0, 0, 1, 5);
            FarPoint.Win.Spread.Chart.SheetCellRange data2 = new FarPoint.Win.Spread.Chart.SheetCellRange(sv, 5, 0, 1, 1);
            FarPoint.Win.Spread.ExcelSparklineSetting ex = new FarPoint.Win.Spread.ExcelSparklineSetting();
            ex.AxisColor = Color.SaddleBrown;
            ex.ShowFirst = true;
            ex.ShowHigh = true;
            ex.ShowLow = true;
            ex.ShowLast = true;
            ex.FirstMarkerColor = Color.Blue;
            ex.HighMarkerColor = Color.DarkGreen;
            ex.MarkersColor = Color.Aquamarine;
            ex.LowMarkerColor = Color.Red;
            ex.LastMarkerColor = Color.Orange;
            ex.ShowMarkers = true;
            fpSpread1.Sheets[0] = sv;
            sv.Cells[0, 0].Value = 2;
            sv.Cells[0, 1].Value = 5;
            sv.Cells[0, 2].Value = 4;
            sv.Cells[0, 3].Value = 1;
            sv.Cells[0, 4].Value = 3;
            fpSpread1.Sheets[0].AddSparkline(data, data2, FarPoint.Win.Spread.SparklineType.Line, ex);
        }

        private void btnCustomAxis_Click(object sender, EventArgs e)
        {
            FarPoint.Win.Spread.ExcelSparklineSetting ex = new FarPoint.Win.Spread.ExcelSparklineSetting();
            ex.DisplayXAxis = true;
            ex.DateAxis = true;
            ex.Formula = "Sheet1!$A$1:$C$1";
            fpSpread1.Sheets[0].Cells[0, 0].Text = "1/2/2011";
            fpSpread1.Sheets[0].Cells[0, 1].Text = "1/3/2011";
            fpSpread1.Sheets[0].Cells[0, 2].Text = "1/5/2011";
            fpSpread1.Sheets[0].Cells[1, 0].Value = 2;
            fpSpread1.Sheets[0].Cells[1, 1].Value = 11;
            fpSpread1.Sheets[0].Cells[1, 2].Value = 4;
            fpSpread1.Sheets[0].AddSparkline("Sheet1!$A$2:$C$2", "Sheet1!$D$2:$D$2", FarPoint.Win.Spread.SparklineType.Column, ex);
        }
    }
}
